import { storeToRefs } from 'pinia'
import { useUserStore } from '@/stores/user'
import { useTokenStore } from '@/stores/token'

/**
 * 统一提供响应式的用户信息和相关操作
 */
export const useAuthUser = () => {
  const userStore = useUserStore()
  const tokenStore = useTokenStore()

  // 响应式状态（state & getters）
  const { userInfo, tencentUserSig, fontSizeData, integralData } = storeToRefs(userStore)
  const { token } = storeToRefs(tokenStore)

  return {
    integralData,
    userInfo,
    tencentUserSig,
    fontSizeData,
    token
  }
}
